package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TgjjGrdkzhxx;

/**
 * 个人贷款账户信息Service接口
 * 
 * @author lei
 * @date 2021-11-16
 */
public interface ITgjjGrdkzhxxService 
{
    /**
     * 查询个人贷款账户信息
     * 
     * @param ID 个人贷款账户信息ID
     * @return 个人贷款账户信息
     */
    public TgjjGrdkzhxx selectTgjjGrdkzhxxById(Long ID);

    /**
     * 查询个人贷款账户信息列表
     * 
     * @param tgjjGrdkzhxx 个人贷款账户信息
     * @return 个人贷款账户信息集合
     */
    public List<TgjjGrdkzhxx> selectTgjjGrdkzhxxList(TgjjGrdkzhxx tgjjGrdkzhxx);

    /**
     * 新增个人贷款账户信息
     * 
     * @param tgjjGrdkzhxx 个人贷款账户信息
     * @return 结果
     */
    public int insertTgjjGrdkzhxx(TgjjGrdkzhxx tgjjGrdkzhxx);

    /**
     * 修改个人贷款账户信息
     * 
     * @param tgjjGrdkzhxx 个人贷款账户信息
     * @return 结果
     */
    public int updateTgjjGrdkzhxx(TgjjGrdkzhxx tgjjGrdkzhxx);

    /**
     * 批量删除个人贷款账户信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjGrdkzhxxByIds(String ids);

    /**
     * 删除个人贷款账户信息信息
     * 
     * @param ID 个人贷款账户信息ID
     * @return 结果
     */
    public int deleteTgjjGrdkzhxxById(Long ID);
}
